curl -X POST https://app.drime.cloud/api/v1/auth/register \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@example.com",
"password": "securepassword123",
"device_name": "My App"
}'
const response = await fetch('https://app.drime.cloud/api/v1/auth/register', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'newuser@example.com',
password: 'securepassword123',
device_name: 'My App'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/auth/register',
json={
'email': 'newuser@example.com',
'password': 'securepassword123',
'device_name': 'My App'
}
)
data = response.json()
{
"status": "success",
"user": {
"id": 15844,
"email": "newuser@example.com",
"display_name": "newuser",
"access_token": "124|xyz789...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"email": "The email has already been taken."
}
}
Authentication
Register
Create a new user account
POST
/
auth
/
register
curl -X POST https://app.drime.cloud/api/v1/auth/register \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@example.com",
"password": "securepassword123",
"device_name": "My App"
}'
const response = await fetch('https://app.drime.cloud/api/v1/auth/register', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'newuser@example.com',
password: 'securepassword123',
device_name: 'My App'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/auth/register',
json={
'email': 'newuser@example.com',
'password': 'securepassword123',
'device_name': 'My App'
}
)
data = response.json()
{
"status": "success",
"user": {
"id": 15844,
"email": "newuser@example.com",
"display_name": "newuser",
"access_token": "124|xyz789...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"email": "The email has already been taken."
}
}
Overview
Creates a new Drime Cloud account and returns the user object with an access token.This endpoint does not require authentication.
Request Body
string
required
A valid email address for the new account
string
required
Password for the account (minimum 8 characters recommended)
string
required
A name to identify this device/application
Response
string
The status of the request (
success or error)object
The newly created user object with access token
curl -X POST https://app.drime.cloud/api/v1/auth/register \
-H "Content-Type: application/json" \
-d '{
"email": "newuser@example.com",
"password": "securepassword123",
"device_name": "My App"
}'
const response = await fetch('https://app.drime.cloud/api/v1/auth/register', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'newuser@example.com',
password: 'securepassword123',
device_name: 'My App'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/auth/register',
json={
'email': 'newuser@example.com',
'password': 'securepassword123',
'device_name': 'My App'
}
)
data = response.json()
{
"status": "success",
"user": {
"id": 15844,
"email": "newuser@example.com",
"display_name": "newuser",
"access_token": "124|xyz789...",
"created_at": "2024-01-20T10:00:00.000000Z",
"updated_at": "2024-01-20T10:00:00.000000Z"
}
}
{
"status": "error",
"message": "The given data was invalid.",
"errors": {
"email": "The email has already been taken."
}
}
⌘I

